/// <reference types="react" />
import { InputProps } from "@chakra-ui/react";
import { MaybeRenderProp } from "@chakra-ui/react-utils";
import { UseDateTimePickerReturn } from "./utils/types";
export declare type DateTimePickerTriggerProps = Omit<InputProps, "value"> & {
    children?: MaybeRenderProp<UseDateTimePickerReturn>;
};
export declare const DateTimePickerTrigger: {
    (props: DateTimePickerTriggerProps): JSX.Element;
    displayName: string;
    id: string;
};
